Bug 256854

Summary: Tray popup obscures vertical panel
Product: kmix Reporter: niburu1
Component: KMix Panel DockingAssignee: Christian Esken <esken>
Status: RESOLVED FIXED    
Severity: normal CC: andresbajotierra, igor.poboiko, zorael
Priority: NOR    
Version: 3.7   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In:

Description niburu1 2010-11-13 22:52:50 UTC
Version:           3.7 (using KDE 4.5.3) 
OS:                Linux

With a left-most vertical panel, clicking the tray icon causes the popup to cover the panel unlike any of the other plasmoid or tray popups. Ideally the behavior of the popup should be consistent with most other plasmoids like Device Notifier, Battery Notifier, Network Management, etc.

Reproducible: Always
Comment 1 Dario Andres 2010-12-25 22:10:30 UTC
[Comment from a bug triager]
That's because the Volume control is not a plasmoid (like the Device Notifier, Battery), but a system tray icon, which only renders a standard Qt popup.
Comment 2 Igor Poboiko 2011-04-09 22:34:34 UTC
Adding dependency on wish request about making the KMix plasmoid.
Comment 3 Christian Esken 2013-12-18 14:38:38 UTC
Removing dependency, as I was able to fix it in the native tray w/o the help of the Plasmoid.
Comment 4 Christian Esken 2013-12-18 14:39:11 UTC
Fixed in KDE 4.13
Comment 5 Christian Esken 2013-12-18 14:39:58 UTC
(In reply to comment #4)
> Fixed in KDE 4.13

I should note that I tested it with the panel on all 4 sides: Top, Left, Bottom and Right
Comment 6 Christian Esken 2013-12-20 10:24:21 UTC
Git commit 0f7a603e1d327f76dbd6a62d08315b1956794d42 by Christian Esken.
Committed on 20/12/2013 at 10:17.
Pushed by esken into branch 'master'.

Configuration menu is now using Tabs to provide a more standard,
  convenient and pleasing layout
 Sound Menu: Play button reflects playback status and shows either
  "Play" or "Pause"
 Bugfixes and Features (CCBUGS, as most bugs are already closed). Hint: Some
bugs might have actually been alreay fixed ibn KDE4.11 or KDE4.12.

Bug ID	Severity	Summary
Related: bug 317926, bug 20, bug 315383, bug 299477, bug 304144, bug 296951, bug 303608, bug 214854, bug 319600
applet
volume control
position.

M  +9    -5    CMakeLists.txt
M  +41   -20   ChangeLog
M  +5    -1    apps/KMixApp.cpp
M  +167  -238  apps/kmix.cpp
M  +8    -13   apps/kmix.h
M  +3    -0    apps/kmixctrl.cpp
M  +3    -0    apps/kmixd.cpp
M  +18   -12   backends/mixer_backend.cpp
M  +1    -0    backends/mixer_backend.h
M  +229  -150  backends/mixer_mpris2.cpp
M  +23   -6    backends/mixer_mpris2.h
M  +8    -2    backends/mixer_oss.cpp
M  +1    -1    backends/mixer_pulse.cpp
M  +9    -9    core/ControlManager.cpp
M  +102  -15   core/GlobalConfig.cpp
M  +105  -47   core/GlobalConfig.h
M  +65   -31   core/kmixdevicemanager.cpp
M  +9    -4    core/mixdevice.cpp
M  +4    -12   core/mixdevice.h
M  +6    -4    core/mixer.cpp
M  +16   -10   core/mixertoolbox.cpp
M  +1    -1    core/version.h
M  +17   -3    core/volume.cpp
M  +9    -8    core/volume.h
M  +19   -6    gui/dialogchoosebackends.cpp
M  +1    -1    gui/dialogchoosebackends.h
M  +9    -2    gui/dialogviewconfiguration.cpp
M  +37   -10   gui/guiprofile.cpp
M  +27   -24   gui/guiprofile.h
M  +93   -118  gui/kmixdockwidget.cpp
M  +3    -4    gui/kmixdockwidget.h
M  +13   -11   gui/kmixerwidget.cpp
M  +296  -91   gui/kmixprefdlg.cpp
M  +82   -32   gui/kmixprefdlg.h
M  +87   -38   gui/mdwslider.cpp
M  +4    -2    gui/mdwslider.h
M  +69   -42   gui/viewbase.cpp
M  +1    -0    gui/viewbase.h
M  +25   -30   gui/viewdockareapopup.cpp
M  +1    -1    gui/viewdockareapopup.h
M  +4    -4    gui/viewsliders.cpp
M  +1    -1    gui/volumesliderextradata.h

http://commits.kde.org/kmix/0f7a603e1d327f76dbd6a62d08315b1956794d42